# Uses of Interface
org.apache.zookeeper.graph.LogIterator

Packages that use LogIterator
Package
Description
org.apache.zookeeper.graph
org.apache.zookeeper.graph.servlets

## Uses of LogIterator in org.apache.zookeeper.graph

Methods in org.apache.zookeeper.graph that return LogIterator
Modifier and Type
Method
Description
`LogIterator`
Log4JSource.`iterator()`
`LogIterator`
Log4JSource.`iterator(long starttime, long endtime)`
`LogIterator`
Log4JSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
LogSource.`iterator()`
`LogIterator`
LogSource.`iterator(long starttime, long endtime)`
`LogIterator`
LogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
MergedLogSource.`iterator()`
`LogIterator`
MergedLogSource.`iterator(long starttime, long endtime)`
`LogIterator`
MergedLogSource.`iterator(long starttime, long endtime, FilterOp filter)`
`LogIterator`
TxnLogSource.`iterator()`
`LogIterator`
TxnLogSource.`iterator(long starttime, long endtime)`
`LogIterator`
TxnLogSource.`iterator(long starttime, long endtime, FilterOp filter)`
Constructors in org.apache.zookeeper.graph with parameters of type LogIterator
Modifier
Constructor
Description
``
`JsonGenerator(LogIterator iter)`
Assumes entries are sorted by timestamp.

## Uses of LogIterator in org.apache.zookeeper.graph.servlets

Methods in org.apache.zookeeper.graph.servlets with parameters of type LogIterator
Modifier and Type
Method
Description
`protected String`
Throughput.`getJSON(LogIterator iter, long scale)`